[API Reference](../README.md) > [ProposeToAddModifyGlobalConstraintParams](../interfaces/ProposeToAddModifyGlobalConstraintParams.md)

# Interface: ProposeToAddModifyGlobalConstraintParams

## Hierarchy

**ProposeToAddModifyGlobalConstraintParams**

## Index

### Properties

* [avatar](ProposeToAddModifyGlobalConstraintParams.md#avatar)
* [globalConstraint](ProposeToAddModifyGlobalConstraintParams.md#globalConstraint)
* [globalConstraintParametersHash](ProposeToAddModifyGlobalConstraintParams.md#globalConstraintParametersHash)
* [votingMachineHash](ProposeToAddModifyGlobalConstraintParams.md#votingMachineHash)

---

## Properties

<a id="avatar"></a>

###  avatar

**● avatar**: *[Address](../#Address)*

*Defined in [wrappers/globalConstraintRegistrar.ts:273](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/globalConstraintRegistrar.ts#L273)*

avatar address

___
<a id="globalConstraint"></a>

###  globalConstraint

**● globalConstraint**: *`string`*

*Defined in [wrappers/globalConstraintRegistrar.ts:277](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/globalConstraintRegistrar.ts#L277)*

the address of the global constraint to add

___
<a id="globalConstraintParametersHash"></a>

###  globalConstraintParametersHash

**● globalConstraintParametersHash**: *`string`*

*Defined in [wrappers/globalConstraintRegistrar.ts:281](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/globalConstraintRegistrar.ts#L281)*

hash of the parameters of the global contraint

___
<a id="votingMachineHash"></a>

###  votingMachineHash

**● votingMachineHash**: *`string`*

*Defined in [wrappers/globalConstraintRegistrar.ts:285](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/globalConstraintRegistrar.ts#L285)*

voting machine to use when voting to remove the global constraint

___

